11082011674.jpg=On the way to Pispala, following Annareetta
11082011671.jpg=Tampere city centre
11082011672.jpg=View from atop the tower in Tampere with a view of one of the two lakes
14082011709.jpg=Nature reserve in Helsinki
11082011679.jpg=100 km of lake stretching to the horizon
11082011675.jpg=Annareetta's soon to be rebuilt house
13082011691.jpg=Went swimming in the Baltic just outside Turku
14082011704.jpg=The back garden in Helsinki
13082011698.jpg=Looking for berries after swimming
